/// <reference types="react" />
import PropTypes from 'prop-types';
import { FormControl } from './FormControl';
export declare class FileUploadControl extends FormControl<any> {
    static propTypes: {
        accept: PropTypes.Requireable<string>;
        multiple: PropTypes.Requireable<boolean>;
        uploadIcon: PropTypes.Requireable<string>;
        uploadText: PropTypes.Requireable<string>;
        onCancelSelect: PropTypes.Requireable<(...args: any[]) => any>;
        name: PropTypes.Validator<string>;
        hasFormGroupContainer: PropTypes.Requireable<boolean>;
        hasFeedbackBlock: PropTypes.Requireable<boolean>;
        testAutomationId: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        uploadText: string;
        multiple: boolean;
        accept: string;
        uploadIcon: string;
        onCancelSelect: (e: any) => any;
        hasFormGroupContainer: boolean;
        hasFeedbackBlock: boolean;
        testAutomationId: string;
    };
    getValue(): any;
    outputConverter(e: any): any;
    getUploadIcon(): JSX.Element;
    getUploadText(): JSX.Element;
    renderUploadButton(): JSX.Element;
    reset(): void;
    render(): JSX.Element;
}
